<?php

namespace App\Http\Controllers;

use App\Models\Comment;
use GuzzleHttp\Client;
use Illuminate\Http\Request;

class CommentController extends Controller
 {
    public function storePost(Request $request)
    {
        $urlApi = config('api.api_url');

        $validatedData = $request->validate([
            'post_id' => 'required',
            'body' => 'required'
        ]);
        
        $validatedData['parent_id'] = $request->parent_id != '' ? $request->parent_id : NULL;

        $client = new Client();
    
        $response = $client->post($urlApi . 'comments/post', [
            'headers' => [
                'Authorization' => 'Bearer ' . session('api_token'),
                'Accept' => 'application/json',
            ],
            'json' => $validatedData
        ]);

        $statusCode = $response->getStatusCode();

        if($statusCode == 200) {
            return back();
        } else {
            return view('errors.500', [
                'message' => '500 Internal Server Error'
            ]);
        }
    }

    public function storeTicket(Request $request)
    {
        $urlApi = config('api.api_url');

        $validatedData = $request->validate([
            'ticket_id' => 'required',
            'body' => 'required'
        ]);
        
        $validatedData['parent_id'] = $request->parent_id != '' ? $request->parent_id : NULL;

        $client = new Client();
    
        $response = $client->post($urlApi . 'comments/ticket', [
            'headers' => [
                'Authorization' => 'Bearer ' . session('api_token'),
                'Accept' => 'application/json',
            ],
            'json' => $validatedData
        ]);

        $statusCode = $response->getStatusCode();

        if($statusCode == 200) {
            return back();
        } else {
            return view('errors.500', [
                'message' => '500 Internal Server Error'
            ]);
        }
    }
 }