const searchInput = document.getElementById("searchInput");
const searchResults = document.getElementById("searchResults");

searchInput.addEventListener("input", function () {
    const query = this.value;

    if (query.trim() !== "") {
        axios
            .get("http://127.0.0.1:8080/api/tickets-search", {
                params: { query: query },
            })
            .then(function (response) {
                const tickets = response.data;
                let html = "";

                tickets.forEach(function (ticket) {
                    html +=
                        "<div>" + ticket.title + " - " + ticket.id + "</div>";
                });

                searchResults.innerHTML = html;
            })
            .catch(function (error) {
                console.error(error);
            });
    } else {
        searchResults.innerHTML = "";
    }
});
