<!DOCTYPE html>
<html>

<head>
    <title>Chart</title>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>

<body>
    <canvas id="historyChart"></canvas>

    <script>
        $(document).ready(function() {
            $.ajax({
                url: '/dashboard/chart-data',
                type: 'GET',
                success: function(response) {
                    createHistoryChart(response);
                }
            });

            function createHistoryChart(data) {
                var ctx = document.getElementById('historyChart').getContext('2d');
                var historyChart = new Chart(ctx, {
                    type: 'line',
                    data: {
                        labels: data.labels,
                        datasets: [{
                                label: 'Diskusi',
                                data: data.postCounts,
                                borderColor: 'rgb(75, 192, 192)',
                                backgroundColor: 'rgba(75, 192, 192, 0.2)',
                                fill: true
                            },
                            {
                                label: 'Tiket',
                                data: data.ticketCounts,
                                borderColor: 'rgb(255, 99, 132)',
                                backgroundColor: 'rgba(255, 99, 132, 0.2)',
                                fill: true
                            }
                        ]
                    },
                    options: {
                        responsive: true,
                        maintainAspectRatio: false
                    }
                });
            }
        });
    </script>
</body>

</html>
