@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4">
                <div class="col-span-12 lg:col-span-8">

                    @include('layouts.components.breadcumb')

                    <h2 class="mb-7 text-3xl font-bold leading-none tracking-tight text-gray-900 md:text-4xl">
                        Edit FAQ
                    </h2>

                    <div>
                        <form action="/dashboard/faq/{{ $faq->slug }}" method="POST">
                            @csrf
                            @method('PUT')
                            <div class="form-group mb-6">
                                <label for="helper-text" class="label">Pertanyaan</label>
                                <input type="text" id="title" aria-describedby="helper-text-explanation"
                                    name="title" class="input-main" placeholder="Question" value="{{ $faq->title }}" />
                            </div>

                            @error('title')
                                <div class="alert-danger" role="alert">
                                    {{ $message }}
                                </div>
                            @enderror

                            <div class="form-group mb-6">

                                <label for="message" class="block mb-2 text-sm font-medium text-gray-900">Jawaban</label>
                                <textarea id="message" rows="4" name="answer"
                                    class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500"
                                    placeholder="Write the answer here...">{{ $faq->answer }}</textarea>

                            </div>

                            @error('answer')
                                <div class="alert-danger" role="alert">
                                    {{ $message }}
                                </div>
                            @enderror

                            <input type="text" class="" id="slug" name="slug" required
                                value="{{ $faq->slug }}">


                            <div class="w-full flex justify-end mt-6">
                                <button type="submit"
                                    class="text-white bg-blue-800 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5">
                                    Edit
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="{{ url('js/slug.js') }}"></script>
@endsection
