@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4">
                <div class="col-span-12 lg:col-span-8">

                    <div class="bg-white mt-9">
                        <div class="flex gap-2 mb-6">
                            <div>
                                <a href="/dashboard/faq/{{ $faq->slug }}/edit"
                                    class="flex justify-center items-center w-10 h-10 text-white bg-orange-500 hover:bg-orange-700 focus:ring-4 focus:outline-none focus:ring-orange-300 font-medium rounded-lg text-sm">
                                    <i class="fa-solid fa-pen-to-square text-lg"></i>
                                </a>
                            </div>
                            <div>
                                <form action="/dashboard/faq/{{ $faq->slug }}" method="POST" class="d-inline">
                                    @method('DELETE')
                                    @csrf
                                    <button
                                        class="flex justify-center items-center w-10 h-10 text-white bg-red-600 hover:bg-red-700 focus:ring-4 focus:outline-none focus:ring-red-300 font-medium rounded-lg text-sm"
                                        onclick="return confirm('Are you sure?')"><i
                                            class="fa-solid fa-trash text-lg"></i></button>
                                </form>
                            </div>
                        </div>
                        <h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900">
                            {{ $faq->title }}
                        </h5>


                        <p class="font-normal text-gray-700">
                            {!! $faq->answer !!}
                        </p>
                    </div>

                </div>
                <div class="flex col-span-4 items-end justify-center rounded bg-transparent h-96">
                </div>
            </div>
        </div>
    </div>

    <script src="{{ url('js/slug.js') }}"></script>
@endsection
