@extends('layouts.main')

@section('container')
    <main class="w-11/12 m-auto lg:w-6/12 md:m-auto px-2">
        <div class="mt-10 grid grid-cols-12 gap-4">
            <!-- MAIN CONTENT -->
            <div class="col-span-12">
                <div class="header flex place-content-center mt-4 mb-12">
                    <p class="text-3xl font-bold text-transparent bg-clip-text bg-gradient-to-r to-blue-800 from-blue-600">
                        Frequently Asked Question</p>
                </div>

                @include('layouts.components.faq')

            </div>
            <!-- END MAIN CONTENT -->
        </div>

    </main>

    <div>
        <button data-modal-target="bottom-right-modal" data-modal-toggle="bottom-right-modal"
            class="fixed right-10 bottom-10 z-40 w-full md:w-auto text-white bg-gradient-to-r from-blue-500 via-blue-600 to-blue-700 hover:bg-gradient-to-br focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-full text-sm px-7 py-4 text-center mr-2 mb-2"
            type="button">
            Punya pertanyaan untuk kami?
        </button>

        <!-- Bottom Right Modal -->
        <div id="bottom-right-modal" data-modal-placement="bottom-right" tabindex="-1"
            class="fixed top-5 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-scroll md:inset-0 h-[calc(100%-1rem)] md:h-full">
            <div class="relative w-full h-full max-w-2xl md:h-auto">
                <!-- Modal content -->
                <div class="relative bg-white rounded-lg shadow">
                    <!-- Modal header -->
                    <div class="flex items-center justify-between p-5 border-b rounded-t">
                        <h3 class="text-xl font-medium text-gray-900">
                            Bottom right modal
                        </h3>
                        <button type="button"
                            class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center "
                            data-modal-hide="bottom-right-modal">
                            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20"
                                xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd"
                                    d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                                    clip-rule="evenodd"></path>
                            </svg>
                            <span class="sr-only">Close modal</span>
                        </button>
                    </div>
                    <!-- Modal body -->
                    <div class="p-6 space-y-6">
                        <p class="text-base leading-relaxed text-gray-500">
                            With less than a month to go before the European Union enacts new consumer privacy laws for its
                            citizens, companies around the world are updating their terms of service agreements to comply.
                        </p>
                        <p class="text-base leading-relaxed text-gray-500">
                            The European Union’s General Data Protection Regulation (G.D.P.R.) goes into effect on May 25
                            and is
                            meant to ensure a common set of data rights in the European Union. It requires organizations to
                            notify users as soon as possible of high-risk data breaches that could personally affect them.
                        </p>
                    </div>
                    <!-- Modal footer -->
                    <div class="flex items-center p-6 space-x-2 border-t border-gray-200 rounded-b">
                        <button data-modal-hide="bottom-right-modal" type="button"
                            class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center">I
                            accept</button>
                        <button data-modal-hide="bottom-right-modal" type="button"
                            class="text-gray-500 bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10">Decline</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @include('layouts.components.modals.login')
@endsection
