@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4 mb-4">
                <div class="col-span-12 lg:col-span-8">
                    <h2 class="mb-6 text-3xl font-bold leading-none tracking-tight text-gray-900 md:text-4xl">
                        Forum Diskusi
                    </h2>

                    @include('layouts.components.filter.forumMobile')

                    <!-- TABS -->
                    <div class="relative text-sm font-medium text-center text-gray-500   mb-4">
                        <ul class="md:w-11/12 lg:w-full m-auto flex -mb-px overflow-x-auto">
                            @include('layouts.components.filter.tabs')
                        </ul>
                    </div>

                    <p class="text-sm my-4 text-gray-500">
                        @if (Request::get('category'))
                            Category:
                            <span class="text-blue-700 font-semibold">{{ Str::title(Request::get('category')) }}</span>
                        @endif

                        @if (Request::get('topic'))
                            Topik:
                            <span class="text-purple-700 font-semibold">{{ Str::title(Request::get('topic')) }}</span>
                        @endif
                    </p>

                    <div class="lg:hidden mb-4">
                        @include('layouts.components.search')
                    </div>
                    <!-- END TABS -->
                    <div class="col-span-12 lg:col-span-9">

                        @if ($posts)
                            @include('layouts.components.forum.post')
                        @else
                            <div class="flex flex-col justify-center items-center mt-16">
                                <i class="fa-solid fa-comments text-5xl text-blue-700"></i>
                                <p class="text-center font-semibold mt-4 text-gray-600">Belum ada diskusi.</p>
                                <p class="text-center text-sm text-gray-400 mt-1">
                                    Belum ada user yang membuat diskusi.
                                </p>
                            </div>
                        @endif
                    </div>
                    <div class="col-span-3 flex-col gap-4 hidden lg:flex">
                    </div>
                </div>

                {{-- FILTER --}}
                <div class="hidden lg:flex lg:col-span-4 border-l p-4 flex-col gap-4">
                    @include('layouts.components.search')
                    @include('layouts.components.filter.topic')
                    @include('layouts.components.filter.order')
                </div>
            </div>
        </div>
    </div>
@endsection
