@extends('layouts.main')

@section('container')
    {{-- HEADER --}}
    <header
        class="overflow-hidden relative md:w-11/12 lg:w-4/5 m-auto flex-center py-12 px-6 md:rounded-lg bg-gradient-to-bl from-blue-400 via-blue-600 to-blue-700">
        <div class="text-left md:text-center text-white z-10 ">
            <h2 class="text-lg lg:text-2xl mb-2">Selamat Datang di Forum Diskusi</h2>
            <h2 class="text-3xl lg:text-4xl font-semibold mb-4">{{ auth()->user()->unit->name }}</h2>
            <p class="text-sm text-blue-300">Diskusi seputar aplikasi, jaringan dan keamanan sistem</p>
        </div>
        <div class="hidden lg:block">
            <div
                class="bg-gradient-to-br from-blue-400 to-blue-600 w-12 h-12 md:w-12 md:h-12 rounded-full absolute bottom-24 left-48">
            </div>

            <div
                class="bg-gradient-to-br from-blue-400 to-blue-600 w-12 h-12 md:w-12 md:h-12 rounded-full absolute top-24 right-64">
            </div>

            <div
                class="bg-gradient-to-br from-blue-400 to-blue-600 w-20 h-20 md:w-36 md:h-36 rounded-full absolute bottom-0  left-10">
            </div>
            <div
                class="bg-gradient-to-br from-blue-400 to-blue-600 w-20 h-20 md:w-36 md:h-36 rounded-full absolute top-0 right-10">
            </div>
        </div>
    </header>
    {{-- END HEADER --}}
    <div class="relative text-sm font-medium text-center text-gray-500 mb-4 ">
        <div class="relative text-sm font-medium text-center text-gray-500 mb-4 ">
            <ul class="md:w-11/12 lg:w-4/5 m-auto flex -mb-px overflow-x-auto">
                @include('layouts.components.filter.tabs')
            </ul>
        </div>
    </div>

    <main class="w-11/12 m-auto lg:w-4/5 md:m-auto px-2">

        @include('layouts.components.alerts')

        <div class="mt-8 grid grid-cols-12 gap-4">
            <!-- TOPIC -->
            @include('layouts.components.filter.topic')
            <!-- END TOPIC -->

            <div class="col-span-12 lg:col-span-6">
                <div class="flex flex-col gap-4 mb-4 lg:hidden">
                    @can('user')
                        @if (Request::is('forum'))
                            <!-- CTA -->
                            <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                                class="btn-gradient-blue w-full" type="button">
                                <i class="fa-solid fa-plus mr-2"></i> Buat diskusi baru
                            </button>
                            <!-- END CTA -->
                        @endif
                    @endcan

                    @include('layouts.components.filter.forumMobile')

                </div>
                @include('layouts.components.search')

                <p class="text-sm my-4 text-gray-500">
                    @if (Request::get('category'))
                        Category:
                        <span class="text-blue-700 font-semibold">{{ Str::title(Request::get('category')) }}</span>
                    @endif

                    @if (Request::get('topic'))
                        Topik:
                        <span class="text-purple-700 font-semibold">{{ Str::title(Request::get('topic')) }}</span>
                    @endif
                </p>

                <!-- POST -->
                @if ($posts)
                    @include('layouts.components.forum.post')
                @else
                    <div class="flex flex-col justify-center items-center mt-16">
                        <i class="fa-solid fa-comments text-5xl text-blue-700"></i>
                        <p class="text-center font-semibold mt-4 text-gray-600">Belum ada diskusi.</p>
                        <p class="text-center text-sm text-gray-400 mt-1">Klik tombol "Buat diskusi baru" untuk mulai
                            membuat
                            diskusi
                        </p>
                    </div>
                @endif
                <!-- END POST -->

            </div>

            @include('layouts.components.filter.order')
        </div>
    </main>

    @include('layouts.components.modals.createPost')

    <script src="{{ url('js/slug.js') }}"></script>

    <div class="mb-10"></div>
@endsection
