@extends('layouts.main')

@section('container')
    <!-- MAIN -->
    <main class="bg-gray-50">
        <!-- HERO -->
        <div class="mt-12 sm:mt-0 mb-24 hero flex items-center md:py-12 gap-8 flex-col container-main lg:flex-row lg:gap-16">
            <div class="lg:w-[calc(100%/2)]">
                <div class="relative">
                    <div
                        class="bg-gradient-to-br from-blue-500 to-blue-800 hover:bg-gradient-to-bl focus:ring-4 focus:outline-none focus:ring-cyan-300 w-32 h-32 rounded-full absolute -z-[1] top-0 right-0">
                    </div>
                    <p class="text-center text-gray-900 font-semibold text-3xl md:text-4xl lg:text-left mb-6"
                        style="line-height: 150%">
                        Layanan <span
                            class="text-transparent bg-clip-text bg-gradient-to-r from-orange-500 to-purple-700">Service
                            Desk</span>
                        Pemerintahan
                        yang Mudah dan Efektif untuk Kebutuhan Anda
                    </p>

                    <div
                        class="hidden md:block md:mx-auto lg:mx-0 my-8 w-32 h-1 border border-gray-200 bg-gray-200 rounded-full ">
                    </div>

                    <div class="text-center lg:text-left flex flex-col md:flex-row md:justify-center lg:justify-start gap-5">
                        @if (!Auth::guest())
                            <a href="/tickets"
                                class="btn-gradient-blue m-auto md:m-0 text-base w-full md:w-fit lg:text-lg bg-blue-800 lg:m-0">Buat
                                Tiket Aduan</a>
                            <a href="/forum"
                                class="text-gray-500 bg-white border w-full md:w-fit border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-base lg:text-lg px-5 py-2.5 h-fit m-auto md:m-0 lg:m-0">Forum
                                Diskusi</a>
                        @else
                            <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                                class="btn-gradient-blue m-auto text-base lg:text-lg w-full md:w-fit bg-blue-800 md:m-0"
                                type="button">
                                Buat Tiket Aduan
                            </button>
                            <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                                class="text-gray-500 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-base lg:text-lg w-full md:w-fit px-5 py-2.5 h-fit m-auto md:m-0"
                                type="button">
                                Forum Diskusi
                            </button>
                        @endif
                    </div>
                </div>

            </div>
            <div
                class=" w-full lg:w-[calc(100%/2)] flex flex-col place-content-center h-fit lg:justify-center items-center">
                <div class="w-full scale-75 md:scale-100 lg:w-full relative text-center h-[450px]">
                    <img src="{{ url('img/hero/layer-1.png') }}"
                        class="animation-1 fadeInBottom absolute scale-125 bottom-0 right-0 left-0 m-auto my-0"
                        alt="image-header">
                    <img src="{{ url('img/hero/layer-2.png') }}"
                        class="animation-1 fadeInBottom absolute bottom-0 right-0 left-0 m-auto my-0" alt="image-header">
                    <img src="{{ url('img/hero/layer-3.svg') }}"
                        class="animation-ticket fadeInBottom scale-150 md:scale-150 lg:scale-125 absolute bottom-20 md:bottom-12 right-0 left-0 m-auto"
                        alt="image-header">
                    <img src="{{ url('img/hero/message.png') }}"
                        class="vert-move-2 w-16 md:w-fit absolute top-20 left-0 md:-left-12 lg:left-0" alt="image-header">
                    <img src="{{ url('img/hero/inbox.png') }}" class="vert-move absolute bottom-8 right-2 md:right-8"
                        alt="image-header">
                    <img src="{{ url('img/hero/plant.png') }}"
                        class="animation-4 fadeInBottom absolute bottom-0 left-2 md:right-24" alt="image-header">
                </div>
                <div
                    class="-mt-16 sm:mt-0 w-full md:w-[60vw] lg:w-full animation-1 fadeInBottom py-4 px-8 bg-white rounded-full bottom-0 left-0 shadow-lg flex justify-evenly items-center">
                    <div class="flex gap-4 w-[calc(100%/3)] justify-center items-center">
                        <div class="text-center">
                            <p class="font-semibold text-orange-500 text-2xl">{{ $tickets->count() }}</p>
                            <p class="text-gray-500 text-center text-xs md:text-sm">Aduan Masuk</p>
                        </div>
                    </div>

                    <div class="h-10 w-1 bg-gray-200 rounded-full"></div>


                    <div class="flex gap-4 w-[calc(100%/3)] justify-center items-center">
                        <div class="text-center">
                            <p class="font-semibold text-2xl text-blue-600">{{ $finished }}</p>
                            <p class="text-gray-500 text-center text-xs md:text-sm">Aduan Selesai</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END HERO -->

        <!-- CATEGORY -->
        <div class="w-full lg:h-screen flex items-center px-10 bg-blue-50 py-14 lg:py-36">
            <div class="container-main m-auto lg:w-11/12 reveal">
                <div class="flex flex-col gap-16 lg:flex-row lg:gap-20">
                    <div class="flex flex-col items-center gap-8 lg:w-[calc(100%/3)]">
                        <div onclick="changeMap()"
                            class="cursor-pointer active-map w-32 h-32 flex justify-center items-center rounded-full"
                            id="categoryItem1">
                            <i class="fa-sharp fa-solid fa-marker fa-3x text-blue-50 h-fit"></i>
                        </div>
                        <div class="text-center">
                            <p class="font-semibold text-lg mb-2">Tulis Pengaduan</p>
                            <p class="text-gray-500">
                                Laporkan pengaduan yang menjadi kendala dengan jelas dan lengkap
                            </p>
                        </div>
                    </div>
                    <div class="flex flex-col items-center gap-8 lg:w-[calc(100%/3)]">
                        <div class="bg-blue-100 w-32 h-32 flex justify-center items-center rounded-full" id="categoryItem2">
                            <i class="fa-sharp fa-solid fa-spinner fa-3x text-blue-900 h-fit"></i>
                        </div>
                        <div class="text-center">
                            <p class="font-semibold text-lg mb-2">Proses Tindak Lanjut</p>
                            <p class="text-gray-500">
                                Setelah pengiriman pengaduan akan memasuki forum diskusi bersama
                                staf yang ahli pada bidangnya.
                            </p>
                        </div>
                    </div>
                    <div class="flex flex-col items-center gap-8 lg:w-[calc(100%/3)]">
                        <div class="bg-blue-100 w-32 h-32 flex justify-center items-center rounded-full" id="categoryItem3">
                            <i class="fa-solid fa-clipboard-check fa-3x text-blue-900 h-fit"></i>
                        </div>
                        <div class="text-center">
                            <p class="font-semibold text-lg mb-2">Aduan Selesai</p>
                            <p class="text-gray-500">
                                Laporan pengaduan akan terus ditindaklanjuti hingga selesai
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END CATEGORY -->

        <!-- FAQ -->
        <div class="container-main py-20 lg:py-36">
            <div class="header flex justify-between mb-6">
                <p class="title-text text-transparent bg-clip-text bg-gradient-to-r from-blue-600 to-blue-800 ">
                    Frequently
                    Asked Question</p>

                <div class="flex items-center gap-4">
                    <p class="text-gray-500 text-sm">Selengkapnya</p>
                    <a href="#" class="w-10 h-10 bg-blue-700 rounded-full flex-center"><i
                            class="fa-solid fa-arrow-right text-white"></i>
                    </a>
                </div>
            </div>
            <div>
                @include('layouts.organism.faq')
            </div>
        </div>
        <!-- END FAQ -->

        <!-- STATISTIC -->
        <div
            class="flex overflow-hidden place-content-center relative w-full bg-gradient-to-r from-purple-700 via-purple-800 to-purple-900 py-10 md:py-12 lg:py-20">
            <div class="flex z-10 flex-col gap-4 text-white items-center">
                <p class="lg:text-2xl">Jumlah Pengaduan</p>
                <p class="text-7xl md:text-8xl lg:text-9xl font-bold">{{ $tickets->count() }}</p>
            </div>

            <div>
                <div
                    class="bg-gradient-to-br from-purple-400 to-purple-600 w-12 h-12 md:w-16 md:h-16 rounded-full absolute bottom-24 left-64 reveal">
                </div>

                <div
                    class="bg-gradient-to-br from-purple-400 to-purple-600 w-12 h-12 md:w-16 md:h-16 rounded-full absolute top-24 right-64 reveal">
                </div>

                <div
                    class="bg-gradient-to-br from-purple-400 to-purple-600 w-28 h-28 md:w-48 md:h-48 rounded-full absolute bottom-0 translate-y-1/2 left-10 reveal transition-2">
                </div>
                <div
                    class="bg-gradient-to-br from-purple-400 to-purple-600 w-28 h-28 md:w-48 md:h-48 rounded-full absolute top-0 -translate-y-1/2 right-10 reveal transition-2">
                </div>
            </div>

        </div>
        <!-- END STATISTIC -->

        {{-- FORUM --}}
        <div class="container-main m-auto flex flex-col lg:flex-row gap-10 items-center py-24 lg:h-screen">
            <div class="lg:w-[calc(100%/2)] lg:pr-10">
                <div class="flex flex-col gap-6 mb-10 lg:mb-0">
                    <h1 class="title-text">Forum Diskusi</h1>
                    <p class="text-sm text-gray-500">Lorem ipsum dolor sit amet consectetur adipisicing elit.
                        Quas harum
                        consequatur dolores corporis hic
                        quisquam consectetur officia quibusdam, enim nesciunt unde natus ipsam nobis repudiandae nihil
                        inventore
                        culpa, amet explicabo.</p>
                    @if (!Auth::guest())
                        <a href="/forum" class="btn-link m-0 bg-orange-500 hover:bg-orange-600 w-fit" type="button">
                            Lihat Forum Diskusi
                        </a>
                    @else
                        <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                            class="btn-link m-0 bg-orange-500 hover:bg-orange-600 w-fit" type="button">
                            Lihat Forum Diskusi
                        </button>
                    @endif

                </div>

                <div class="hidden lg:block my-8 w-32 h-1 border border-gray-200 bg-gray-200 rounded-full "></div>

                <div class="w-full flex lg:gap-8">
                    <div class="flex gap-4 justify-center items-start lg:items-center">
                        <div class="bg-blue-100 w-12 h-12 flex justify-center items-center rounded-full">
                            <i class="fa-sharp fa-solid fa-inbox fa-lg text-blue-600"></i>
                        </div>
                        <div class="text-left">
                            <p class="font-semibold text-gray-800 text-2xl">{{ $posts->count() }}</p>
                            <p class="text-gray-500 text-left text-sm">Diskusi Tersedia</p>
                        </div>
                    </div>

                    <div class="flex gap-4 justify-center items-start lg:items-center">
                        <div class="bg-purple-100 w-12 h-12 flex justify-center items-center rounded-full">
                            <i class="fa-regular fa-circle-check fa-lg text-purple-500"></i>
                        </div>
                        <div class="text-left">
                            <p class="font-semibold text-2xl text-gray-800">{{ $topics->count() }}</p>
                            <p class="text-gray-500 text-left text-sm">Topik Tersedia</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="cards h-[150px] mt-36 lg:w-[calc(100%/2)]">
                <div class="flex-center outer">
                    @foreach ($topics as $topic)
                        <div class="card bg-white rounded-md shadow-lg py-4 px-6 w-11/12 md:w-full"
                            style="--delay: {{ $loop->index + 1 }}">
                            <h1 class="text-md font-semibold text-gray-800 mb-2">{{ $topic->title }}
                            </h1>
                            <p class="text-sm text-gray-500">{{ $topic->posts->count() }}</p>
                            <div
                                class="absolute w-2 h-12 rounded-full bg-purple-600 right-0 my-auto top-0 bottom-0 translate-x-1/2">
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>

        </div>
        {{-- END FORUM --}}

        <!-- FOOTER -->
        <div
            class="w-full bg-gradient-to-br from-blue-700 via-blue-800 to-blue-900 text-white flex place-content-center m-auto py-14 relative overflow-hidden">
            <div class="container-main flex flex-col gap-10 lg:flex-row lg:justify-between z-10">
                <div>
                    <p class="font-semibold text-md mb-4">
                        2023 © DISKOMINFO KABUPATEN SUKOHARJO
                    </p>

                    <div class="flex flex-col gap-3">
                        <p>Alamat : Jl. Jenderal Sudirman Nomor 199 Sukoharjo</p>
                        <p>Telp : 0271 593068 ext. (1522)</p>
                        <p>Fax 0271 593335</p>
                        <p>Email : diskominfo@sukoharjokab.go.id</p>
                    </div>
                </div>
                <div>
                    <p class="font-semibold text-md mb-4">LINK TERKAIT</p>

                    <div class="flex flex-col gap-3">
                        <p>PPID KABUPATEN SUKOHARJO</p>
                        <p>PEMERINTAHAN KABUPATEN SUKOHARJO</p>
                        <p>KEMENTRIAN KOMUNIKASI DAN INFORMATIKA RI</p>
                        <p>DINAS KOMUNIKASI DAN INFORMATIKA JAWA TENGAH</p>
                    </div>
                </div>
                <div>
                    <p class="font-semibold text-md mb-4">SOSIAL MEDIA</p>

                    <div class="flex flex-col gap-3">
                        <p>Kominfo Sukoharjo</p>
                        <p>@kominfoasukoharjo</p>
                        <p>@kominfoaskh</p>
                        <p>Diskominfo Sukoharjo</p>
                    </div>
                </div>
            </div>
        </div>
        <!-- END FOOTER -->
    </main>
    <!-- END MAIN -->
    @include('layouts.components.modals.login')

    <script type="text/javascript">
        $('#reload').click(function() {
            $.ajax({
                type: 'GET',
                url: 'reload-captcha',
                success: function(data) {
                    $(".captcha span").html(data.captcha);
                }
            });
        });
    </script>

    <script>
        function changeMap() {
            var categoryItem1 = document.getElementById("categoryItem1")
            categoryItem1.classList.toggle = "active-map"
        }
    </script>

    <script>
        function reveal() {
            var reveals = document.querySelectorAll(".reveal");

            for (var i = 0; i < reveals.length; i++) {
                var windowHeight = window.innerHeight;
                var elementTop = reveals[i].getBoundingClientRect().top;
                var elementVisible = 150;

                if (elementTop < windowHeight - elementVisible) {
                    reveals[i].classList.add("active");
                } else {
                    reveals[i].classList.remove("active");
                }
            }
        }

        window.addEventListener("scroll", reveal);
    </script>
@endsection
