<div data-replies="{{ $comment->id }}" class="flex flex-col gap-4">
    @foreach ($comment->replies as $reply)
        <div class="reply flex flex-col gap-4">
            <div class="flex justify-end">
                <div class="card-comment w-11/12 border rounded-md p-6 bg-white">
                    <div class="header flex gap-2 align-middle justify-between">
                        <div class="flex gap-4 mb-6">
                            <div>
                                <p class="text-sm font-semibold text-secondary-700">
                                    {{ $reply->user->name }}
                                </p>
                                <p class="font-normal text-xs text-secondary-400">
                                    {{ $reply->created_at->diffForHumans() }}
                                </p>
                            </div>
                        </div>

                        <div>
                            @if ($reply->user->role->name == 'admin')
                                <span
                                    class="hidden md:block bg-yellow-100 h-fit text-yellow-800 text-xs font-medium mr-2 px-2.5 py-1 rounded">Jawaban
                                    Admin</span>

                                <button data-popover-target="popover-default" type="button"
                                    class="md:hidden text-white bg-orange-500 hover:bg-orange-600 focus:ring-4 focus:outline-none focus:ring-orange-300 rounded-full flex-center w-8 h-8"><i
                                        class="fa-solid fa-star text-xs"></i></button>
                                <div data-popover id="popover-default" role="tooltip"
                                    class="absolute z-10 invisible inline-block w-fit text-sm text-gray-500 transition-opacity duration-300 bg-white border border-gray-200 rounded-lg shadow-sm opacity-0 dark:text-gray-400 dark:border-gray-600 dark:bg-gray-800">
                                    <div
                                        class="px-3 py-2 bg-gray-50 border-b border-gray-200 rounded-t-lg dark:border-gray-600 dark:bg-gray-700">
                                        <h3 class="font-semibold text-orange-500 dark:text-white">Jawaban Admin</h3>
                                    </div>
                                    <div data-popper-arrow></div>
                                </div>
                            @elseif($reply->user->role->name == 'super-admin' || $reply->user->role_id == 4)
                                <span
                                    class="hidden md:block bg-blue-100 h-fit text-blue-800 text-xs font-medium mr-2 px-2.5 py-1 rounded">Jawaban
                                    Super Admin</span>
                                <button data-popover-target="popover-default" type="button"
                                    class="md:hidden text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-full flex-center w-8 h-8"><i
                                        class="fa-solid fa-star text-xs"></i></button>
                                <div data-popover id="popover-default" role="tooltip"
                                    class="absolute z-10 invisible inline-block w-fit text-sm text-gray-500 transition-opacity duration-300 bg-white border border-gray-200 rounded-lg shadow-sm opacity-0 dark:text-gray-400 dark:border-gray-600 dark:bg-gray-800">
                                    <div
                                        class="px-3 py-2 bg-gray-50 border-b border-gray-200 rounded-t-lg dark:border-gray-600 dark:bg-gray-700">
                                        <h3 class="font-semibold text-blue-700 dark:text-white">Jawaban Super Admin</h3>
                                    </div>
                                    <div data-popper-arrow></div>
                                </div>
                            @endif
                        </div>
                    </div>

                    <div class="body">
                        <p class="text-gray-500">
                            {!! $reply->body !!}
                        </p>

                        <div class="reply-btn mt-2 flex pt-4 {{ $ticket->is_finished == 2 ? 'hidden' : '' }}">
                            <button id="replyButton" onclick="showCommentInput({{ $reply->id }})" class="rounded-lg">
                                <span class="flex gap-3 items-center text-sm font-medium text-gray-500 "><i
                                        class="fa-regular fa-comment-dots"></i>Balas</span>
                            </button>
                        </div>

                        <div id="replyComment" data-comment="{{ $reply->id }}"
                            class="hidden form-group mt-4 border-t pt-4">
                            <form action="/tickets/comment" method="POST">
                                @csrf
                                <input type="hidden" name="ticket_id" value="{{ $ticket->id }}">
                                <input type="hidden" name="parent_id" value="{{ $comment->id }}">

                                <textarea id="message" rows="4" name="body" {{ old('body') }}
                                    class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500     "
                                    placeholder="Write the body here..."></textarea>

                                <div class="w-full flex justify-end mt-4">
                                    <button type="submit" class="btn-link">
                                        Balas
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
</div>
