<div class="flex lg:hidden justify-between gap-2">
    <!-- drawer init and show -->
    <div class="text-center">
        <button
            class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2.5 text-center w-full"
            type="button" data-drawer-target="drawer-navigation" data-drawer-show="drawer-navigation"
            aria-controls="drawer-navigation">
            Filter Diskusi
        </button>
    </div>

    <!-- drawer component -->
    <div id="drawer-navigation"
        class="fixed top-0 left-0 z-50 w-full h-screen p-4 overflow-y-auto transition-transform -translate-x-full bg-white"
        tabindex="-1" aria-labelledby="drawer-navigation-label">
        <h5 id="drawer-navigation-label" class="text-base font-semibold text-gray-500 uppercase">
            Filter
            Diskusi</h5>
        <button type="button" data-drawer-hide="drawer-navigation" aria-controls="drawer-navigation"
            class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 absolute top-2.5 right-2.5 inline-flex items-center">
            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20"
                xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd"
                    d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                    clip-rule="evenodd"></path>
            </svg>
            <span class="sr-only">Close menu</span>
        </button>
        <div class="py-4 overflow-y-auto">
            <div class="space-y-2 font-medium">
                <div class="flex flex-col gap-4 border-b py-4">
                    <div class="flex items-center mr-4">
                        <a href="?order_by=newest"
                            class="flex justify-center items-center w-5 h-5 bg-slate-100 rounded-full border border-gray-300">
                            <div
                                class="{{ Request::get('order_by') == 'newest' ? 'block' : 'hidden' }} w-3 h-3 bg-blue-700 rounded-full">
                            </div>
                        </a>

                        <p class="ml-2 text-sm font-medium text-gray-900">
                            Terbaru</p>
                    </div>

                    <div class="flex items-center mr-4">
                        <a href="?order_by=oldest"
                            class="flex justify-center items-center w-5 h-5 bg-slate-100 rounded-full border border-gray-300">
                            <div
                                class="{{ Request::get('order_by') == 'oldest' ? 'block' : 'hidden' }} w-3 h-3 bg-blue-700 rounded-full">
                            </div>
                        </a>

                        <p class="ml-2 text-sm font-medium text-gray-900">
                            Terlama</p>
                    </div>
                </div>

                <div class="flex flex-col gap-4 py-4">
                    <div class="flex items-center mr-4">
                        <a href="?order_by=solved"
                            class="flex justify-center items-center w-5 h-5 bg-slate-100 rounded-full border border-gray-300">
                            <div
                                class="{{ Request::get('order_by') == 'solved' ? 'block' : 'hidden' }} w-3 h-3 bg-blue-700 rounded-full">
                            </div>
                        </a>

                        <p class="ml-2 text-sm font-medium text-gray-900">
                            Diskusi sudah selesai</p>
                    </div>

                    <div class="flex items-center mr-4">
                        <a href="?order_by=unsolved"
                            class="flex justify-center items-center w-5 h-5 bg-slate-100 rounded-full border border-gray-300">
                            <div
                                class="{{ Request::get('order_by') == 'unsolved' ? 'block' : 'hidden' }} w-3 h-3 bg-blue-700 rounded-full">
                            </div>
                        </a>

                        <p class="ml-2 text-sm font-medium text-gray-900">
                            Diskusi belum selesai</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
