<!-- POST -->
<div class="w-full flex flex-col gap-5">
    {{-- @if ($posts->count()) --}}
    @foreach ($posts as $post)
        @can('user')
            <a href="/forum/{{ $post->slug }}"
                class="block p-6 bg-white border border-gray-200 rounded-lg shadow hover:bg-gray-100">
            @endcan

            @can('admin')
                <a href="/dashboard/forum/{{ $post->slug }}"
                    class="block p-6 bg-white border border-gray-200 rounded-lg shadow hover:bg-gray-100">
                @endcan

                <div class="header flex gap-2 align-middle justify-between">
                    <div class="flex gap-4 mb-6">
                        <div>
                            <p class="text-sm font-semibold h-fit text-secondary-700">
                                {{ $post->user->name }}
                            </p>
                            <p class="font-normal text-xs text-secondary-400">
                                {{ $post->created_at }}
                            </p>
                        </div>
                    </div>

                    <div class="flex items-center gap-2 h-fit">
                        <div class="hidden md:block">
                            @if ($post->is_finished)
                                <span class="bg-green-100 text-green-800 text-sm font-medium px-3 py-1 rounded h-fit">
                                    Selesai</span>
                            @else
                                <span class="bg-red-100 text-red-800 text-sm font-medium px-3 py-1 rounded h-fit">Belum
                                    Selesai</span>
                            @endif
                        </div>
                    </div>
                </div>
                <h5 class="mb-2 text-xl font-bold tracking-tight text-gray-900">
                    {{ $post->title }}
                </h5>
                <p class="font-normal text-gray-700">
                    {{ $post->excerpt }}
                </p>

                <!-- FOOTER -->
                <div class="flex flex-col sm:flex-row gap-2 mt-6">
                    <span
                        class="w-fit flex items-center text-xs font-normal bg-orange-500 text-white px-3 py-1 rounded-lg">{{ $post->category->name }}</span>
                    <span
                        class="w-fit flex items-center text-xs font-normal bg-purple-600 text-white px-3 py-1 rounded-lg">{{ $post->topic->title }}</span>
                </div>
                <div class="block mt-5 md:hidden">
                    @if ($post->is_finished)
                        <span class="bg-green-100 text-green-800 text-sm font-medium px-3 py-1 rounded h-fit">
                            Selesai</span>
                    @else
                        <span class="bg-red-100 text-red-800 text-sm font-medium px-3 py-1 rounded h-fit">Belum
                            Selesai</span>
                    @endif
                </div>
            </a>
    @endforeach
    {{-- @else
        <p class="text-center fs-4 mt-5">Belum ada diskusi.</p>
    @endif --}}
    <div class="d-flex justify-content-end mb-9">
        {{-- {{ $posts->links() }} --}}
    </div>
</div>
<!-- END POST -->
