<div id="category-modal" tabindex="-1" aria-hidden="true"
    class="fixed top-0 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-[calc(100%-1rem)] md:h-full"
    style="background: rgba(0, 0, 0, 0.5);">
    <div class="relative w-full h-full max-w-md md:h-auto">
        <!-- Modal content -->
        <div class="relative bg-white rounded-lg shadow">
            <button type="button"
                class="absolute top-3 right-2.5 text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center"
                data-modal-hide="category-modal">
                <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                        clip-rule="evenodd"></path>
                </svg>
                <span class="sr-only">Close modal</span>
            </button>
            <div class="px-6 py-6 lg:px-8">
                <h3 class="mb-4 text-xl font-medium text-gray-900">Tambahkan Kategori Baru</h3>
                <form action="{{ url('/dashboard/categories') }}" method="POST">
                    @csrf
                    <div class="form-group mb-6">
                        <label for="helper-text" class="label">Nama kategori</label>
                        <input type="text" id="title" aria-describedby="helper-text-explanation" name="name"
                            class="input-main" placeholder="Masukan nama kategori" value="{{ old('name') }}" />
                    </div>

                    @error('title')
                        <div class="alert-danger" role="alert">
                            {{ $message }}
                        </div>
                    @enderror

                    <input type="text" class="" id="slug" name="slug" required
                        value="{{ old('slug') }}" hidden>


                    <div class="w-full flex justify-end mt-6">
                        <button type="submit" class="btn-link">
                            Create
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
