<!-- Main modal -->
<div id="authentication-modal" tabindex="-1" aria-hidden="true"
    class="fixed top-0 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-[100vh] md:h-full"
    style="background: rgba(0, 0, 0, 0.5);">
    <div class="relative w-[95%] h-[95vh] md:w-6/12 md:h-[80vh]">
        <!-- Modal content -->
        <div class="h-[100%] overflow-scroll relative bg-white w-full rounded-lg shadow">
            <button type="button"
                class="absolute top-3 right-2.5 text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center"
                data-modal-hide="authentication-modal">
                <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                        clip-rule="evenodd"></path>
                </svg>
                <span class="sr-only">Close modal</span>
            </button>


            <div class="px-6 py-6 lg:px-8">
                <h3 class="mb-4 text-xl font-medium text-gray-900">Buat diskusi baru</h3>
                <form action="{{ url('/forum/create') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="form-group mb-6">
                        <label for="helper-text" class="label">Judul</label>
                        <input type="text" id="title" aria-describedby="helper-text-explanation" name="title"
                            class="input-main @error('title') is-invalid @enderror" placeholder="Masukkan judul diskusi"
                            value="{{ old('title') }}" max="80" required />
                    </div>

                    @error('title')
                        <div class="alert-danger" role="alert">
                            {{ $message }}
                        </div>
                    @enderror

                    <input type="text" class="" id="slug" name="slug" required
                        value="{{ old('slug') }}" hidden>

                    @if (count($topics))
                        <div class="form-group mb-6 w-full">
                            <label for="countries" class="label">Topik</label>
                            <select id="countries" name="topic_id"
                                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                                @foreach ($topics as $topic)
                                    <option value="{{ $topic->id }}">{{ $topic->title }}</option>
                                @endforeach
                            </select>
                        </div>
                    @else
                        <input type="hidden" name="topic_id" value="5">
                    @endif

                    @if (count($post_categories))
                        <div class="form-group mb-6 w-full">
                            <label for="countries" class="label">Topik</label>
                            <select id="countries" name="category_id"
                                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                                @foreach ($post_categories as $category)
                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    @else
                        <input type="hidden" name="topic_id" value="5">
                    @endif

                    <div class="form-group mb-6">

                        <label for="message" class="block mb-2 text-sm font-medium text-gray-900">Isi
                            diskusi</label>

                        <input id="body" type="hidden" name="body" value="{{ old('body') }}">
                        <trix-editor input="body"></trix-editor>

                        @error('body')
                            <p class="text-danger">{{ $message }}</p>
                        @enderror

                    </div>

                    @error('body')
                        <div class="alert-danger" role="alert">
                            {{ $message }}
                        </div>
                    @enderror

                    <div class="w-full flex justify-end mt-8">
                        <button type="submit" class="btn-link">
                            Buat diskusi
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
