<div id="authentication-modal" tabindex="-1" aria-hidden="true"
    class="fixed top-0 left-0 right-0 z-50 w-full p-4 hidden overflow-x-hidden overflow-y-scroll md:inset-0 h-[calc(100%-1rem)] md:h-full"
    style="background: rgba(0, 0, 0, 0.5);">
    <div class="relative w-full h-full max-w-md md:h-auto ">
        <!-- Modal content -->
        <div class="relative bg-white rounded-lg shadow-lg">
            <button type="button"
                class="absolute top-3 right-2.5 text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center"
                data-modal-hide="authentication-modal">
                <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                        clip-rule="evenodd"></path>
                </svg>
                <span class="sr-only">Close modal</span>
            </button>
            <div class="px-6 py-6 lg:px-8">
                <div class="mb-5 mt-5 w-4/5 m-auto">
                    <h3 class="mb-2 text-center mt-3 text-xl font-semibold text-blue-800">Selamat
                        datang!
                    </h3>
                    <p class="text-sm text-gray-500 text-center">Masukkan username dan password anda untuk melanjutkan
                    </p>
                </div>
                <form class="space-y-6" action="/login" method="POST">
                    @csrf
                    <div>
                        <label for="email" class="block mb-2 text-sm font-medium text-gray-900">Email</label>
                        <input type="email" name="email" id="email"
                            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5"
                            placeholder="name@company.com" required>
                    </div>
                    <div>
                        <label for="password" class="block mb-2 text-sm font-medium text-gray-900">Password</label>
                        <input type="password" name="password" id="password" placeholder="••••••••"
                            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5"
                            required>
                    </div>

                    <div>
                        <div class="captcha">
                            <span>
                                {!! captcha_img() !!}
                            </span>
                            <input type="text" id="captcha" name="captcha"
                                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                        </div>
                    </div>


                    {{-- <div class="flex justify-between">
                        <div class="flex items-start">
                            <div class="flex items-center h-5">
                                <input id="remember" type="checkbox" value=""
                                    class="w-4 h-4 border border-gray-300 rounded bg-gray-50 focus:ring-3 focus:ring-blue-300"
                                    required>
                            </div>
                            <label for="remember"
                                class="ml-2 text-sm font-medium text-gray-900 ">Remember me</label>
                        </div>
                        <a href="#" class="text-sm text-blue-700 hover:underline">Lost
                            Password?</a>
                    </div> --}}

                    <button type="submit" class="btn-link w-full py-3">Masuk</button>

                    <hr class="w-7 m-auto border-y-2 rounded-full">

                    <div class="flex place-content-center rounded-full shadow-md border border-gray-100 py-4">
                        <div class="flex gap-4 items-center">
                            <img src="{{ url('img/logo.png') }}" class="w-6" alt="">
                            <p class="font-semibold text-lg">DISKOMINFO SUKOHARJO</p>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    $('#reload').click(function() {
        $.ajax({
            type: 'GET',
            url: 'reload-captcha',
            success: function(data) {
                $(".captcha span").html(data.captcha)
            }
        })
    })
</script>
