<a href="{{ auth()->user()->role_id === 1 ? '/dashboard/superadmin/tickets/show/' . $ticket->slug : Request::url() . '/' . $ticket->slug }}"
    class="w-full inline-block overflow-hidden p-6 bg-white border border-gray-200 rounded-lg shadow hover:bg-gray-100 ">

    <div class="header flex gap-2 align-middle justify-between">
        <div class="flex gap-4 mb-6">
            <div>
                <div>
                    <p class="text-sm text-slate-500">Nomor Ticket</p>
                    <p class="font-bold text-blue-700 text-lg">#{{ $ticket->id }}</p>
                </div>
            </div>
        </div>

        <div class="flex items-center gap-2 h-fit">
            <div class="hidden md:block">
                @if ($ticket->is_finished == 0)
                    <span
                        class="bg-red-100 text-red-800 text-xs md:text-sm font-medium px-3 py-2 md:py-1 text-center rounded   h-fit">Process</span>
                @elseif($ticket->is_finished == 1)
                    <span
                        class="bg-blue-100 text-blue-800 text-xs md:text-sm font-medium px-3 py-2 md:py-1 text-center rounded h-fit">Responded</span>
                @else
                    <span
                        class="bg-green-100 text-green-800 text-xs md:text-sm font-medium px-3 py-2 md:py-1 text-center rounded   h-fit">
                        Finished</span>
                @endif
            </div>
        </div>
    </div>
    <p class="mb-2 text-xl font-bold tracking-tight text-gray-900">
        {{ Str::limit($ticket->title, '30') }}
    </p>
    @if (auth()->user()->role_id != 3)
        <p class="text-gray-500 text-sm mb-3">
            Pengirim: <span class="font-semibold text-gray-800">{{ $ticket->user->name }}</span>
        </p>
    @endif
    <p class="text-gray-500 text-sm">
        <i class="fa-regular fa-calendar mr-2"></i>{{ $ticket->created_at }} |
        {{ $ticket->created_at_h }}
    </p>

    <!-- FOOTER -->
    <div class="flex gap-5 mt-6">
        <span
            class="flex items-center text-xs font-normal bg-orange-500 text-white px-3 py-1 rounded-lg">{{ $ticket->category->name }}</span>
    </div>
    <div class="block mt-5 md:hidden">
        @if ($ticket->is_finished)
            <span class="bg-green-100 text-green-800 text-sm font-medium px-3 py-1 rounded h-fit">
                Selesai</span>
        @else
            <span class="bg-red-100 text-red-800 text-sm font-medium px-3 py-1 rounded h-fit">Belum
                Selesai</span>
        @endif
    </div>
</a>
