<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="description"
        content="Selamat datang di platform aduan khusus untuk lembaga pemerintahan Sukoharjo! Website kami menyediakan fasilitas yang memungkinkan lembaga pemerintahan untuk mengajukan tiket aduan terkait masalah teknis seperti masalah dalam aplikasi, jaringan, dan keamanan. Kami berkomitmen untuk memberikan solusi yang cepat dan efektif untuk setiap masalah yang Anda hadapi.">

    <meta name="keywords" content="Service Desk">

    <title>{{ $title }} | Kominfo Sukoharjo</title>

    <link rel="icon" href="{{ url('img/kabupaten_sukoharjo.ico') }}" type="image/x-icon">

    @if (Request::is('/'))
        <link rel="stylesheet" href="{{ url('css/animation.css') }}">
    @endif

    {{-- TAILWIND --}}
    @vite(['resources/css/app.css', 'resources/js/app.js'])

    {{-- ICON --}}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"
        integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    {{-- TRIX Editor --}}
    <link rel="stylesheet" type="text/css" href="https://unpkg.com/trix@2.0.0/dist/trix.css">
    <script type="text/javascript" src="https://unpkg.com/trix@2.0.0/dist/trix.umd.min.js"></script>

    <style>
        trix-toolbar [data-trix-button-group="file-tools"] {
            display: none;
        }
    </style>
</head>

<body class="bg-gray-50">
    @include('layouts.organism.navbar')

    <main>
        @yield('container')
    </main>


    {{-- SWEET ALERT --}}
    @include('sweetalert::alert')

    {{-- TAILWIND --}}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.6.4/flowbite.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js"
        integrity="sha512-pumBsjNRGGqkPzKHndZMaAG+bir374sORyzM3uulLV14lN5LyykqNk8eEeUlUkB3U0M4FApyaHraT65ihJhDpQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
</body>

</html>
