<aside id="logo-sidebar"
    class="fixed top-0 left-0 z-40 w-64 h-screen pt-20 transition-transform -translate-x-full bg-white border-r border-gray-200 sm:translate-x-0"
    aria-label="Sidebar">
    <div class="h-full px-3 pb-4 overflow-y-auto bg-white">
        {{-- PROFILE INFO --}}
        <div class="bg-blue-100 rounded-lg p-4 flex flex-col items-center mb-5 border border-blue-200">
            <p class="text-sm font-bold text-blue-900 text-center mb-2">{{ auth()->user()->name }}</p>
            <p class="text-xs text-gray-700">{{ auth()->user()->email }}</p>
        </div>
        {{-- END PROFILE INFO --}}
        <ul class="space-y-2">
            <li>
                <a href="@if (auth()->user()->role->name == 'admin') /dashboard @elseif(auth()->user()->role->name == 'admin-category') /dashboard/admin-category @else /dashboard/superadmin @endif"
                    class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard') || Request::is('dashboard/admin-category*') || Request::is('dashboard/superadmin') || Request::is('dashboard/post*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }} ">
                    <div class="w-5">
                        <i
                            class="fa-solid fa-house {{ Request::is('dashboard') || Request::is('dashboard/admin-category*') || Request::is('dashboard/superadmin') || Request::is('dashboard/post*') ? 'text-white' : 'text-gray-500' }}"></i>
                    </div>
                    <span class="ml-3">Dashboard</span>
                </a>
            </li>
            @can('admin')
                <li>
                    <a href="{{ url('/dashboard/forum') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/forum*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }} ">
                        <div class="w-5">
                            <i
                                class="fa-sharp fa-solid fa-comments {{ Request::is('dashboard/forum*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="ml-3">Forum Diskusi</span>
                    </a>
                </li>
                <li>
                    <a href="{{ url('/dashboard/tickets') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/tickets*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }} ">
                        <div class="w-5">
                            <i
                                class="fa-solid fa-ticket {{ Request::is('dashboard/tickets*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="ml-3">Tiket Aduan</span>
                    </a>
                </li>
                <li>
                    <a href="{{ url('/dashboard/users') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/users*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }}">

                        <div class="w-5">
                            <i
                                class="fa-solid fa-user {{ Request::is('dashboard/users*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="flex-1 ml-3 whitespace-nowrap">Manajemen User</span>
                    </a>
                </li>
                <li>
                    <a href="{{ url('/dashboard/topics') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/topics*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }}">
                        <div class="w-5">
                            <i
                                class="fa-solid fa-arrow-up {{ Request::is('dashboard/topics*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="flex-1 ml-3 whitespace-nowrap">Topik Diskusi</span>
                    </a>
                </li>
            @endcan

            @can('superadmin')
                <li>
                    <a href="{{ url('#') }}"
                        class="hidden items-center p-2 text-base font-normal rounded-lg {{ Request::is('dashboard/staff*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }}">
                        <svg aria-hidden="true"
                            class="flex-shrink-0 w-6 h-6 text-gray-500 transition duration-75 group-hover:text-gray-900"
                            fill="{{ Request::is('dashboard/staff*') ? 'white' : 'gray' }}" viewBox="0 0 20 20"
                            xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M10 9a3 3 0 100-6 3 3 0 000 6zm-7 9a7 7 0 1114 0H3z"
                                clip-rule="evenodd"></path>
                        </svg>
                        <span class="flex-1 ml-3 whitespace-nowrap">Forum</span>
                    </a>
                </li>

                <li>
                    <a href="{{ url('/dashboard/staff-ahli') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/staff-ahli*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }}">
                        <div class="w-5">
                            <i
                                class="fa-solid fa-user {{ Request::is('dashboard/staff-ahli*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="flex-1 ml-3 whitespace-nowrap">Staff Ahli</span>
                    </a>
                </li>

                <li>
                    <a href="{{ url('/dashboard/staff') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/staff') || Request::is('dashboard/staff/create') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }}">
                        <div class="w-5">
                            <i
                                class="fa-solid fa-users {{ Request::is('dashboard/staff') || Request::is('dashboard/staff/create') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="flex-1 ml-3 whitespace-nowrap">Staff Admin OPD</span>
                    </a>
                </li>

                <li>
                    <a href="{{ url('/dashboard/categories') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/categories*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }}">
                        <div class="w-5">
                            <i
                                class="fa-sharp fa-solid fa-sitemap {{ Request::is('dashboard/categories*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="flex-1 ml-3 whitespace-nowrap">Kategori</span>
                    </a>
                </li>

                <li>
                    <a href="{{ url('/dashboard/faq') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/faq') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }} ">
                        <div class="w-5">
                            <i
                                class="fa-solid fa-question {{ Request::is('dashboard/faq*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="ml-3">FAQ</span>
                    </a>
                </li>

                <li>
                    <a href="{{ url('/dashboard/superadmin/tickets') }}"
                        class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg {{ Request::is('dashboard/superadmin/tickets*') ? 'bg-blue-700 text-white ' : 'text-gray-900 hover:bg-gray-100' }} ">
                        <div class="w-5">
                            <i
                                class="fa-solid fa-ticket {{ Request::is('dashboard/superadmin/tickets*') ? 'text-white' : 'text-gray-500' }}"></i>
                        </div>
                        <span class="ml-3">Tiket Aduan</span>
                    </a>
                </li>
            @endcan
        </ul>
        <div class="mt-11">
            <form action="/logout" method="POST">
                @csrf
                <button type="submit"
                    class="flex gap-1 items-center py-2 px-4 text-base font-normal rounded-lg w-full bg-red-100 text-red-700 hover:bg-red-700 hover:text-red-50">
                    <i class="fa-solid fa-arrow-right-from-bracket mr-3 "></i> Logout
                </button>
            </form>
        </div>
    </div>
</aside>
