<nav class="bg-white border-gray-200 border-b px-2 sm:px-4 py-2.5 rounded">
    <div class="container md:w-11/12 lg:w-4/5 flex flex-wrap items-center justify-between mx-auto">
        <a href="/" class="flex md:w-auto lg:basis-1/4 items-center">
            <img src="{{ url('img/logo.png') }}" class="h-6 mr-3 sm:h-8" alt="Logo Diskominfo Sukoharjo" />

            <span class="self-center text-md text-gray-800 font-semibold whitespace-nowrap">Diskominfo
                <span class="text-transparent bg-clip-text bg-gradient-to-r to-blue-800 from-blue-700">Sukoharjo</span>
            </span>
        </a>
        <div class="flex justify-end items-center md:w-auto lg:basis-1/4 md:order-2">
            @auth
                <!-- PROFILE -->
                <button type="button"
                    class=" mr-3 text-sm rounded-full md:mr-0 md:focus:ring-2 md:focus:ring-gray-300 md:px-4 md:py-2"
                    id="user-menu-button" aria-expanded="false" data-dropdown-toggle="user-dropdown"
                    data-dropdown-placement="bottom">
                    <span class="sr-only">Open user menu</span>
                    <div class="flex gap-2 items-center">
                        <div class="text-right hidden lg:block">
                            <span class="block text-sm font-semibold text-gray-900">{{ auth()->user()->name }}</span>
                            <span class="block text-xs text-gray-500">{{ auth()->user()->unit->name ?? '' }}</span>
                        </div>
                        <div class="w-10 h-10 bg-blue-100 flex-center rounded-full">
                            <i class="fa-solid fa-user text-blue-700"></i>
                        </div>
                    </div>
                </button>
                <!-- Dropdown menu -->
                <div class="z-50 hidden my-4 text-base list-none bg-white divide-y divide-gray-100 rounded-lg shadow w-40"
                    id="user-dropdown">

                    <ul class="py-2" aria-labelledby="user-menu-button">
                        @can('user')
                            <li>
                                <a href="{{ url('/settings') }}"
                                    class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">Settings</a>
                            </li>
                        @endcan

                        @can('admin')
                            <li>
                                <a href="{{ url('/dashboard') }}"
                                    class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">Kembali
                                    ke Dashboard Admin</a>
                            </li>
                        @endcan

                        @can('superadmin')
                            <li>
                                <a href="{{ url('/dashboard/tickets') }}"
                                    class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">Kembali
                                    ke Dashboard Super Admin</a>
                            </li>
                        @endcan

                        <li>
                            <div>
                                <form action="/logout" method="POST">
                                    @csrf
                                    <button type="submit"
                                        class="w-full text-start block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">
                                        Logout
                                    </button>
                                </form>
                            </div>
                        </li>
                    </ul>
                </div>
                <!-- END PROFILE -->
            @else
                <!-- LOGIN BTN -->
                <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                    class="btn-link justify-center gap-2 items-center md:hidden" type="button">
                    Login</i>
                </button>
                <!-- END LOGIN BTN -->

                <!-- LOGIN BTN -->
                <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                    class="btn-link justify-center gap-2 items-center hidden md:flex" type="button">
                    Login <i class="fa-solid fa-right-to-bracket hidden"></i>
                </button>
                <!-- END LOGIN BTN -->
            @endauth


            <!-- HAMBURGER MENU -->
            <button data-collapse-toggle="mobile-menu-2" type="button"
                class="inline-flex items-center p-2 ml-1 text-sm text-gray-500 rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200"
                aria-controls="mobile-menu-2" aria-expanded="false">
                <span class="sr-only">Open main menu</span>
                <svg class="w-6 h-6" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z"
                        clip-rule="evenodd"></path>
                </svg>
            </button>
            <!-- END HAMBURGER MENU -->
        </div>
        <div class="items-center justify-between hidden w-full md:flex md:order-1 md:w-auto lg:basis-1/2 lg:items-center"
            id="mobile-menu-2">
            <ul
                class="flex flex-col p-4 mt-4 border border-gray-100 rounded-lg bg-gray-50 md:flex-row md:space-x-8 md:text-center md:mt-0 md:text-sm md:font-medium md:border-0 md:bg-white lg:justify-center lg:w-full">
                <li>
                    <a href="{{ url('/') }}"
                        class="block py-2 pl-3 pr-4 rounded  md:p-0 {{ Request::is('/') ? ' text-white bg-blue-700 md:bg-transparent md:text-blue-700 md:p-0' : 'text-gray-700 hover:bg-gray-100 md:hover:bg-transparent md:hover:text-blue-700' }}"
                        aria-current="page">Home</a>
                </li>
                @if (!Auth::guest())
                    <li>
                        <a href="{{ url('tickets') }}"
                            class="block py-2 pl-3 pr-4 rounded  md:p-0 {{ Request::is('tickets*') ? ' text-white bg-blue-700 md:bg-transparent md:text-blue-700 md:p-0' : 'text-gray-700 hover:bg-gray-100 md:hover:bg-transparent md:hover:text-blue-700' }}">Tiket
                            Aduan</a>
                    @else
                        <!-- LOGIN BTN -->
                        <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                            class="block py-2 pl-3 pr-4 rounded  md:p-0 {{ Request::is('forum*') ? ' text-white bg-blue-700 md:bg-transparent md:text-blue-700 md:p-0' : 'text-gray-700 hover:bg-gray-100 md:hover:bg-transparent md:hover:text-blue-700' }}"
                            type="button">
                            Tiket
                            Aduan
                        </button>
                        <!-- END LOGIN BTN -->

                    </li>
                @endif
                <li>
                    @if (!Auth::guest())
                        <a href="{{ url('forum') }}"
                            class="block py-2 pl-3 pr-4 rounded  md:p-0 {{ Request::is('forum*') ? ' text-white bg-blue-700 md:bg-transparent md:text-blue-700 md:p-0' : 'text-gray-700 hover:bg-gray-100 md:hover:bg-transparent md:hover:text-blue-700' }}">Forum
                            Diskusi</a>
                    @else
                        <!-- LOGIN BTN -->
                        <button data-modal-target="authentication-modal" data-modal-toggle="authentication-modal"
                            class="block py-2 pl-3 pr-4 rounded  md:p-0 {{ Request::is('forum*') ? ' text-white bg-blue-700 md:bg-transparent md:text-blue-700 md:p-0' : 'text-gray-700 hover:bg-gray-100 md:hover:bg-transparent md:hover:text-blue-700' }}"
                            type="button">
                            Forum Diskusi
                        </button>
                        <!-- END LOGIN BTN -->
                    @endif
                </li>

                <li>
                    <a href="{{ url('/faq') }}"
                        class="block py-2 pl-3 pr-4 rounded  md:p-0 {{ Request::is('faq*') ? ' text-white bg-blue-700 md:bg-transparent md:text-blue-700 md:p-0' : 'text-gray-700 hover:bg-gray-100 md:hover:bg-transparent md:hover:text-blue-700' }}">FAQ</a>
                </li>
            </ul>
        </div>
    </div>
</nav>
