@extends('layouts.main')

@section('container')
    {{-- PROFILE --}}
    <div class="w-11/12 lg:w-5/12 m-auto mt-8 flex flex-col gap-6">
        <div class="bg-white rounded-md border p-6">
            <h1 class="font-semibold text-xl mb-6">Profil Pengguna</h1>
            <div class="flex flex-col gap-4">
                <div>
                    <p class="text-sm text-gray-400">Nomor Induk Pegawai (NIP)</p>
                    <p class="font-semibold">{{ auth()->user()->detail->nip ?? '-' }}</p>
                </div>
                <div>
                    <p class="text-sm text-gray-400">Nama Lengkap</p>
                    <p class="font-semibold">{{ auth()->user()->name }}</p>
                </div>
                <div>
                    <p class="text-sm text-gray-400">Asal Instansi</p>
                    <p class="font-semibold">{{ auth()->user()->unit->name }}</p>
                </div>
            </div>
        </div>
        <div class="bg-white rounded-md border p-6">
            <h1 class="font-semibold text-xl mb-6">Pengaturan Lanjutan</h1>

            <div class="flex flex-col gap-4">
                <div class="border-b flex flex-col justify-between w-full items-center pb-4">
                    <div class="flex justify-between w-full items-center">
                        <div>
                            <p class="font-semibold text-gray-800 mb-1">Ubah Password</p>
                            <p class="text-sm text-gray-400">Tekan tombol untuk menggati password Anda</p>
                        </div>

                        <button type="button" class="btn-link" onclick="toggleEditForm()">Ubah Password</button>
                    </div>

                    {{-- FORM CHANGE PASSWORD --}}
                    <div class="border-t mt-4 pt-4 w-full hidden" id="changePasswordForm">
                        <p class="font-semibold text-gray-800 mb-1">Ubah Password Anda</p>
                        <form class="space-y-6" action="/settings/change-password" method="POST">
                            @csrf
                            <div>
                                <label for="current_password" class="block mb-2 text-sm font-medium text-gray-900">Password
                                    Lama</label>
                                <input type="password" name="current_password" id="current_password" placeholder="••••••••"
                                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5"
                                    required>

                                @error('current_password')
                                    <div class="alert-danger" role="alert">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>

                            <div>
                                <label for="new_password" class="block mb-2 text-sm font-medium text-gray-900">Password
                                    Baru</label>
                                <input type="password" name="new_password" id="new_password" placeholder="••••••••"
                                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5"
                                    required>

                                @error('new_password')
                                    <div class="alert-danger" role="alert">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>
                            <button type="submit" class="btn-link w-full py-3">Ubah Password</button>
                        </form>
                    </div>
                    {{-- END FORM CHANGE PASSWORD --}}
                </div>
                <div class="border-b flex justify-between w-full items-center pb-4">
                    <p class="font-semibold text-gray-800">Keluar</p>

                    <form action="/logout" method="POST">
                        @csrf
                        <button type="submit" class="btn-link-red">
                            Logout
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {{-- PROFILE --}}
    <div class="mb-10"></div>

    <script>
        function toggleEditForm() {
            var editForm = document.getElementById("changePasswordForm");

            editForm.classList.toggle("hidden");
        }
    </script>
@endsection
