@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4">
                <div class="col-span-12 lg:col-span-9">
                    <h2 class="mb-6 text-3xl font-bold leading-none tracking-tight text-gray-900 md:text-4xl">
                        Ticket Management
                    </h2>

                    <div class="w-1/2 mb-6">
                        <form action="/dashboard/tickets" class="flex justify-between gap-3 align-middle">
                            @csrf
                            <div class=" w-full">
                                <label for="table-search" class="sr-only">Search</label>
                                <div class="relative">
                                    <input type="text" id="table-search" name="search"
                                        class="block p-2 h-full pl-3 text-sm text-gray-900 border border-gray-300 rounded-lg w-full bg-gray-50 focus:ring-blue-500 focus:border-blue-500"
                                        placeholder="Cari nomor atau judul tiket" />

                                </div>
                            </div>
                            <button type="submit" class="btn-link h-full block"> <i
                                    class="fa-solid fa-magnifying-glass text-white"></i>
                            </button>
                        </form>
                        <!-- END SEARCH -->
                    </div>
                    <!-- TABS -->
                    <div class="relative text-sm font-medium text-center text-gray-500   mb-4">
                        <ul class="md:w-11/12 lg:w-full m-auto flex -mb-px overflow-x-auto">
                            @include('layouts.components.filter.tabs')
                        </ul>
                    </div>
                    <!-- END TABS -->

                </div>
                <div class="col-span-9">
                    <div class="flex flex-wrap gap-y-2">
                        @if ($tickets->count())
                            @foreach ($tickets as $ticket)
                                @include('layouts.components.tickets.ticket')
                            @endforeach
                        @else
                            <p class="text-center fs-4 mt-5">Belum ada diskusi.</p>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
