@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4">
                <div class="col-span-12 lg:col-span-8">
                    <h2 class="mb-6 text-3xl font-bold leading-none tracking-tight text-gray-900 md:text-4xl">
                        Manajemen Ticket
                    </h2>

                    <!-- CTA -->
                    @can('admin')
                        <button data-modal-target="create-ticket-modal" data-modal-toggle="create-ticket-modal"
                            class="lg:hidden btn-gradient-blue w-full py-3 h-fit" type="button">
                            <i class="fa-solid fa-plus mr-2"></i> Buat tiket aduan
                        </button>
                    @endcan

                    <div class="w-full mt-4">
                        @include('layouts.components.filter.ticketMobile')
                    </div>


                    <!-- TABS -->
                    @if (auth()->user()->role_id !== 4)
                        <div class="relative text-sm font-medium text-center text-gray-500   mb-4">
                            <ul class="md:w-11/12 lg:w-full m-auto flex -mb-px overflow-x-auto">
                                @include('layouts.components.filter.tabs')
                            </ul>
                        </div>
                    @endif
                    <!-- END TABS -->

                    <p class="text-sm my-4 text-gray-500">
                        @if (Request::get('category'))
                            Category:
                            <span class="text-blue-700 font-semibold">{{ Str::title(Request::get('category')) }}</span>
                        @endif
                    </p>

                    <div class="grid gap-3 mb-6 lg:mb-16 lg:grid-cols-2">
                        @if ($tickets)
                            @foreach ($tickets as $ticket)
                                @include('layouts.components.tickets.ticket')
                            @endforeach
                        @else
                            <div class="flex w-full justify-center">
                                <div class="flex flex-col justify-center items-center mt-10">
                                    <i class="fa-solid fa-ticket text-5xl text-blue-700"></i>
                                    <p class="text-center font-semibold mt-4 text-gray-600">Belum ada aduan.</p>
                                    <p class="text-center text-sm text-gray-400 mt-1">Klik tombol "Buat tiket aduan" untuk
                                        mulai
                                        membuat
                                        aduan
                                    </p>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>

                {{-- FILTER --}}
                <div class="lg:col-span-4 border-l p-4 flex flex-col gap-4">
                    <!-- CTA -->
                    @can('admin')
                        <button data-modal-target="create-ticket-modal" data-modal-toggle="create-ticket-modal"
                            class="btn-gradient-blue py-4 h-fit" type="button">
                            <i class="fa-solid fa-plus mr-2"></i> Buat tiket aduan
                        </button>
                    @endcan
                    <!-- END CTA -->
                    <div class="hidden lg:flex lg:flex-col gap-4">
                        @include('layouts.components.search')
                        @include('layouts.components.filter.order')
                    </div>
                </div>
            </div>
        </div>
    </div>

    @include('layouts.components.modals.createTicket')

    <script src="{{ url('js/slug.js') }}"></script>
@endsection
