@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4 mb-4">
                <div class="col-span-11">
                    <!-- POST -->
                    <div class="border rounded-md p-6 bg-white">
                        <div class="header flex flex-col md:flex-row gap-2 align-middle justify-between mb-6">
                            <div class="flex gap-4">
                                <div>
                                    <p class="text-sm text-slate-500">Nomor Ticket</p>
                                    <p class="font-bold text-blue-700 text-lg">#{{ $ticket->id }}</p>
                                </div>
                            </div>

                            @if ($ticket->is_finished != 2)
                                <form action="/tickets/{{ $ticket->slug }}" method="POST">
                                    @csrf
                                    @method('PUT')
                                    <input type="hidden" name="id" value="{{ $ticket->id }}">
                                    <input type="hidden" name="is_finished" value="{{ $ticket->is_finished }}">

                                    <button data-modal-target="popup-modal" data-modal-toggle="popup-modal"
                                        class="h-fit w-full md:w-fit text-red-700 bg-red-50 border border-red-300 focus:outline-none hover:bg-red-100 focus:ring-4 focus:ring-red-200 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2"
                                        type="button">
                                        Selesaikan aduan
                                    </button>

                                    @include('layouts.components.modals.popup')
                                </form>
                            @elseif ($ticket->is_finished == 2)
                                <button type="submit"
                                    class="h-fit text-green-700 bg-green-50 border border-green-300 focus:outline-none hover:bg-green-100 focus:ring-4 focus:ring-green-200 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2">Diskusi
                                    Selesai</button>
                            @endif
                        </div>
                        <div>
                            <p class="text-2xl font-semibold mb-4">
                                {{ $ticket->title }}
                            </p>
                            <p class="font-light text-gray-500 ">
                                {!! $ticket->body !!}
                            </p>

                            @include('layouts.components.imageContainer')
                        </div>

                        <p class="text-gray-500 text-sm mt-5">
                            <i class="fa-regular fa-calendar mr-2"></i>{{ $ticket->created_at }} |
                            {{ $ticket->created_at_h }}
                        </p>

                        <div class="flex flex-col md:flex-row mt-6 gap-4 justify-between md:items-center">
                            <div class="flex justify-between gap-5">
                                <span
                                    class="flex items-center text-xs font-normal bg-orange-500 text-white px-3 py-1 rounded-lg">{{ $ticket->category->name }}</span>
                            </div>

                            @if ($ticket->is_finished == 0)
                                <span
                                    class="bg-red-100 text-red-800 text-xs md:text-sm font-medium px-3 py-2 md:py-1 text-center rounded   h-fit">Process</span>
                            @elseif($ticket->is_finished == 1)
                                <span
                                    class="bg-blue-100 text-blue-800 text-xs md:text-sm font-medium px-3 py-2 md:py-1 text-center rounded h-fit">Responded</span>
                            @else
                                <span
                                    class="bg-green-100 text-green-800 text-xs md:text-sm font-medium px-3 py-2 md:py-1 text-center rounded   h-fit">
                                    Finished</span>
                            @endif
                        </div>
                    </div>

                    <!-- END POST -->

                    <!-- COMMENT -->

                    <!-- COMMENT INPUT -->
                    @include('layouts.components.comments.ticket.input')
                    <!-- END COMMENT INPUT -->

                    @if ($ticket_comments->count())
                        @include('layouts.components.comments.ticket.comment')
                    @else
                        <div class="flex place-content-center py-10">
                            <p class="text-gray-600">Belum ada komentar</p>
                        </div>
                    @endif

                    <!-- END COMMENT -->
                </div>
            </div>
        </div>
    </div>

    @include('layouts.components.modals.image')

    <script src="{{ url('js/imageModal.js') }}"></script>
@endsection
