@extends('layouts.main')

@section('container')
    {{-- HEADER --}}
    <header
        class="overflow-hidden relative md:w-11/12 lg:w-4/5 m-auto flex-center py-12 px-6 md:rounded-lg bg-gradient-to-bl from-blue-400 via-blue-600 to-blue-700  border border-gray-200 mb-4">
        <div class="text-left md:text-center z-10 text-gray-900">
            <h2 class="text-lg lg:text-2xl mb-2 text-white">Selamat Datang di Tiket Aduan</h2>
            <h2 class="text-3xl lg:text-4xl font-semibold mb-8 text-white">{{ auth()->user()->unit->name }}</h2>
            @can('user')
                @if (Request::is('tickets'))
                    <!-- CTA -->
                    <button data-modal-target="create-ticket-modal" data-modal-toggle="create-ticket-modal"
                        class="btn-gradient-white bg-white w-fit h-fit" type="button">
                        <i class="fa-solid fa-plus mr-2"></i> Buat tiket aduan
                    </button>
                    <!-- END CTA -->
                @endif
            @endcan
        </div>
        <div class="absolute bottom-0 translate-y-1/3 left-12">
            <i class="fa-solid fa-ticket text-9xl text-blue-400"></i>
        </div>

        <div class="w-80 h-48 absolute rounded-full top-0 right-0 -translate-y-1/2 translate-x-1/2 bg-blue-400"></div>
    </header>
    {{-- END HEADER --}}

    <main class="w-11/12 m-auto lg:w-4/5 md:m-auto">
        @include('layouts.components.alerts')

        <div class="w-full m-auto">
            <div class="flex flex-col md:flex-row mb-4 md:mb-2 justify-between items-baseline">
                <!-- TABS -->
                <div class="relative text-sm font-medium text-center text-gray-500 mb-4">
                    <ul
                        class="max-w-sm md:max-w-full md:w-11/12 lg:w-full m-auto flex -mb-px overflow-x-scroll sm:overflow-auto">
                        @include('layouts.components.filter.tabs')
                    </ul>
                </div>
                <!-- END TABS -->

                <div class="w-full lg:w-5/12 gap-2 flex flex-col md:flex-row">
                    @include('layouts.components.search')

                    <button id="dropdownDefaultButton" data-dropdown-toggle="dropdown"
                        class="w-full md:w-auto flex items-center justify-center py-2 px-6 text-sm font-medium text-gray-900 focus:outline-none bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:ring-4 focus:ring-gray-200"
                        type="button">Filter <i class=" ml-3 fa-solid fa-caret-down"></i></button>
                    <!-- Dropdown menu -->
                    <div id="dropdown" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                        <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownDefaultButton">
                            <li>
                                <a href="?order_by=solved" class="block px-4 py-2 hover:bg-gray-100">Selesai</a>
                            </li>
                            <li>
                                <a href="?order_by=unsolved" class="block px-4 py-2 hover:bg-gray-100">Belum Selesai</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <!-- TICKET -->
            @if ($tickets)
                <div class="grid gap-3 mb-6 lg:mb-16 md:grid-cols-2 lg:grid-cols-3">
                    @foreach ($tickets as $ticket)
                        @include('layouts.components.tickets.ticket')
                    @endforeach
                </div>
            @else
                <div class="flex flex-col justify-center items-center mt-10">
                    <i class="fa-solid fa-ticket text-5xl text-blue-700"></i>
                    <p class="text-center font-semibold mt-4 text-gray-600">Belum ada aduan.</p>
                    <p class="text-center text-sm text-gray-400 mt-1">Klik tombol "Buat tiket aduan" untuk mulai membuat
                        aduan
                    </p>
                </div>
            @endif
            <!-- END TICKET -->
            <div class="d-flex justify-content-end my-9">
                {{-- {{ $tickets->links() }} --}}
            </div>

        </div>
    </main>

    @include('layouts.components.modals.createTicket')

    <script src="{{ url('js/slug.js') }}"></script>
    <div class="mb-32"></div>
@endsection
