@extends('layouts.dashboard')

@section('container')
    <div class="p-4 sm:ml-64">
        <div class="mt-16">
            <div class="grid grid-cols-12 gap-4">
                <div class="col-span-12 lg:col-span-8">

                    @include('layouts.components.breadcumb')

                    <h2 class="mb-7 text-3xl font-bold leading-none tracking-tight text-gray-900 md:text-4xl">
                        Edit User
                    </h2>

                    <div>
                        <form action="/dashboard/users/{{ $user->id }}" method="POST">
                            @csrf
                            @method('PUT')
                            <div class="form-group mb-6">
                                <label for="helper-text" class="label">Nomor Induk Pegawai(NIP)</label>
                                <input type="text" id="helper-text" aria-describedby="helper-text-explanation"
                                    name="nip" class="input-main" placeholder="Masukkan NIP"
                                    value="{{ $user->detail->nip ?? '' }}" required />
                            </div>

                            @error('name')
                                <div class="alert-danger" role="alert">
                                    {{ $message }}
                                </div>
                            @enderror

                            <div class="form-group mb-6">
                                <label for="helper-text" class="label">Nama Lengkap</label>
                                <input type="text" id="helper-text" aria-describedby="helper-text-explanation"
                                    name="name" class="input-main" placeholder="John Doe" value="{{ $user->name ?? '' }}"
                                    required />
                            </div>

                            @error('name')
                                <div class="alert-danger" role="alert">
                                    {{ $message }}
                                </div>
                            @enderror

                            <div class="form-group mb-6">
                                <label for="email" class="label">Email</label>
                                <input type="email" id="email" aria-describedby="helper-text-explanation"
                                    name="email" class="input-main" placeholder="example@gmail.com"
                                    value="{{ $user->email ?? '' }}" required />
                            </div>

                            @error('email')
                                <div class="alert-danger" role="alert">
                                    {{ $message }}
                                </div>
                            @enderror

                            {{-- <div class="form-group mb-6">
                                <label for="password" class="label">Password</label>
                                <div class="flex gap-4">
                                    <div class="input-group flex w-full gap-2">

                                        <input type="password" id="password" aria-describedby="helper-text-explanation"
                                            name="password" class="input-main " placeholder="Password" required />

                                        <button type="button"
                                            class="show-password border px-3 h-auto flex justify-center items-center rounded-md border-gray-300">
                                            <i class="fa-solid fa-eye-slash"></i>
                                        </button>
                                    </div>
                                    <button type="button" class="btn-link generate-password">Generate</button>
                                </div>
                            </div>

                            @error('password')
                                <div class="alert-danger" role="alert">
                                    {{ $message }}
                                </div>
                            @enderror --}}

                            <div class="w-full flex justify-end mt-6">
                                <button type="submit" class="btn-link">
                                    Edit User
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="{{ url('js/password.js') }}"></script>
@endsection
